> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://www.truework.com/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://www.truework.com/docs/_mcp/server.

# Get one qualification check result

GET https://api.truework-sandbox.com/qualification-checks/{qualification_check_result_id}

Retrieves a qualification check result by id.

This endpoint is in beta and is subject to change. Please contact [implementations@truework.com](mailto:implementations@truework.com) for more information before integrating.

Reference: https://www.truework.com/docs/api-reference/versions/2023-10-30/get-one-qualification-check

## Authentication

- `Authorization` header (bearer token, required) — Bearer tokens conform to the [RFC6750](https://datatracker.ietf.org/doc/html/rfc6750#section-2.1) spec. Production API keys (secret keys) are prefixed with `tw_sk_` and sandbox keys are prefixed with `tw_sk_test_`. If your secret key is published, you should rotate your API keys. Truework.JS publishable keys are prefixed with `tw_pk_` and `tw_pk_test` respectively. **Examples** - For Authorization Headers: `Authorization: Bearer tw_sk_test_e508eb797edb95ade85284bcb54dd49ed45db1be` - For the "try it now" `token` field, input only the token itself, omitting `Bearer `.

## Servers

- `https://api.truework-sandbox.com` (Sandbox, default)
- `https://api.truework.com` (Production)

## Request

### Path parameters

- `qualification_check_result_id` (string, required) — Qualification Check Result ID

### Headers

- `Accept` (enum, optional, default: application/json) — Specify the content type and version that the API should use. It's recommended to include this to avoid breaking changes.
  - Allowed values: `application/json`, `application/json; version=2023-10-30`

## Response

### 200

OK

- `created` (datetime, required)
- `id` (string, required)
- `kind` (enum, required) — The kind of qualification check that was performed, either for the applicant or guarantor
  - Allowed values: `applicant`, `guarantor`
- `metadata` (map from string to string, required, nullable) — A single level key-value JSON object that can be used to store custom data on the qualification check; keys and values must be strings
- `property_details` (_PropertyDetails-Output, required) — Details from the originally supplied property, including the rent target
- `qualification_check_set` (_QualificationCheckSet, required)
- `result` (_QualificationCheckResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (_InvalidRequestError, required)

### 401 Unauthorized Error

The request's authorization is missing, invalid, or expired

- `error` (Error, required)

### 403 Forbidden Error

Forbidden

- `error` (Error, required)

### 404 Not Found Error

Not Found

- `error` (Error, required)

### 406 Not Acceptable Error

An invalid API version was requested

- `error` (Error, required)

### 429 Too Many Requests Error

Too Many Requests

- `error` (Error, required)

### 451 Unavailable for Legal Reasons Error

Frozen SSN

- `error` (Error, required)

### 500 Internal Server Error

Internal Server Error

- `error` (Error, required)

### 501 Not Implemented Error

Not Implemented

- `error` (Error, required)

## Types

### _PropertyDetails-Output

- `rent` (string, required) — The target rent amount for qualification, expressed in USD

### _QualificationCheckSet

- `applicant_rent_to_income_ratio` (string, required) — The ratio of the specified rent to the monthly gross income of the applicant.
- `guarantor_rent_to_income_ratio` (string, required) — The ratio of the specified rent to the monthly gross income of the guarantor.
- `id` (string, required)
- `income_multiple` (string, required, nullable) — Deprecated. Please use applicant_rent_to_income_ratio. Threshold ratio for target rent to monthly gross income. Must be greater than 0
- `name` (string, required)

### _QualificationCheckResult

- `monthly_gross_income` (string, required, nullable) — The monthly gross income calculated across all requested reports
- `monthly_gross_income_fidelity` (enum, required, nullable) — Whether or not the monthly gross income data was estimated using source data or provided directly from the source
  - Allowed values: `estimate`, `source`
- `outcome` (enum, required) — The outcome of evaluating a specified set of qualification checks against specified report data
  - Allowed values: `qualified`, `not_qualified`, `not_enough_information`
- `rent_to_income_ratio` (string, required, nullable) — The ratio of the specified rent to the monthly gross income of the applicant
- `report_results` (list of _QualificationCheckReportResult, required)

### _InvalidRequestError

- `message` (string, required, default: Invalid field values provided)

### Error

- `message` (string, required)

### _QualificationCheckReportResult

- `monthly_gross_income` (string, required, nullable) — The monthly gross income for a specific report
- `monthly_gross_income_fidelity` (enum, required, nullable) — Whether or not the monthly gross income data was estimated using source data or provided directly from the source
  - Allowed values: `estimate`, `source`
- `report_id` (string, required)
- `satisfied_document_income_requirements` (list of _SatisfiedDocumentIncomeRequirement, required, nullable)

### _SatisfiedDocumentIncomeRequirement

- `end_date` (date, required, nullable)
- `file_type` (string, required)
- `start_date` (date, required, nullable)

## Examples

**Response**

```json
{
  "created": "2024-12-05T18:50:20.291247Z",
  "id": "AAAAAAAAAosABwGqF1AUKAH0-puth1tCzLNar3Jyb4bx3wdVKU99XC28",
  "kind": "applicant",
  "metadata": {},
  "property_details": {
    "rent": "2000.00"
  },
  "qualification_check_set": {
    "applicant_rent_to_income_ratio": "0.85",
    "guarantor_rent_to_income_ratio": "0.85",
    "id": "AAAAAAAAAosABwGqF1AUKAH0-puth1tCzLNar3Jyb4bx3wdVKU99XC27",
    "income_multiple": "1.50",
    "name": "Conventional 2024"
  },
  "result": {
    "monthly_gross_income": "4600.00",
    "monthly_gross_income_fidelity": "estimate",
    "outcome": "qualified",
    "rent_to_income_ratio": "0.85",
    "report_results": [
      {
        "monthly_gross_income": "2340.00",
        "monthly_gross_income_fidelity": "estimate",
        "report_id": "AAAAAAAAAosABwGqF1AUKAH0-puth1tCzLNar3Jyb4bx3wdVKU99XC29",
        "satisfied_document_income_requirements": [
          {
            "end_date": "2023-01-31",
            "file_type": "paystub",
            "start_date": "2023-01-01"
          }
        ]
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.truework-sandbox.com/qualification-checks/qualification_check_result_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.truework-sandbox.com/qualification-checks/qualification_check_result_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.truework-sandbox.com/qualification-checks/qualification_check_result_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.truework-sandbox.com/qualification-checks/qualification_check_result_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.truework-sandbox.com/qualification-checks/qualification_check_result_id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.truework-sandbox.com/qualification-checks/qualification_check_result_id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.truework-sandbox.com/qualification-checks/qualification_check_result_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.truework-sandbox.com/qualification-checks/qualification_check_result_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```